node-duplexer3_0.1.4-4_all.deb


Advertisement

Description

node-duplexer3 - Like duplexer but using streams3

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-duplexer3_0.1.4-4_all.deb
Package name node-duplexer3
Package version 0.1.4
Package release 4
Package architecture all
Package type deb
Category universe/javascript
Homepage https://github.com/floatdrop/duplexer3
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 4.77 KB
Installed size 19.00 KB
This is a reimplementation of duplexer using the Streams3 API
which is standard in Node as of v4. Everything largely works the same
Duplexer takes a writable stream and a readable stream and makes them
appear as a readable writable stream.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-duplexer3_0.1.4-4_all.deb 0.1.4 all Ubuntu Universe
node-duplexer3 - - -

Requires

Name Value
nodejs -

Provides

Name Value
node-duplexer2 = 0.1.4-4

Replaces

Name Value
node-duplexer2 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-duplexer3_0.1.4-4_all.deb
Source Package node-duplexer3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-duplexer3 deb package:
    # sudo apt-get install node-duplexer3

Files

Path
/usr/lib/nodejs/duplexer2
/usr/lib/nodejs/duplexer3/index.js
/usr/lib/nodejs/duplexer3/package.json
/usr/share/doc/node-duplexer3/README.md
/usr/share/doc/node-duplexer3/changelog.Debian.gz
/usr/share/doc/node-duplexer3/copyright

Changelog

2019-01-18 - Xavier Guimard <yadd@debian.org>
node-duplexer3 (0.1.4-4) unstable; urgency=medium
* Remove dh-buildinfo from build dependencies
* Remove mocha test from autopkgtest: it doesn't test installed files
* Add myself to uploaders
* Modify patch to disable failing tests. Fixes debci and autopkgtest
* Add Multi-Arch: foreign
2019-01-09 - Xavier Guimard <yadd@debian.org>
node-duplexer3 (0.1.4-3) unstable; urgency=medium
* Team upload
* Add debian/control fields and link to replace node-duplexer2
* Update debian/copyright format link
* Add patch to fix bad test (Closes: #918670)
* Fix license
* Declare compliance with policy 4.3.0
* Bump debhelper compatibility level to 12
* Ignore test if DEB_BUILD_OPTIONS includes "nocheck"
* Set minimal nodejs version to 10
* Add upstream/metadata
2017-12-11 - Pirate Praveen <praveen@debian.org>
node-duplexer3 (0.1.4-2) unstable; urgency=medium
* Team upload
* Reupload to unstable
2017-01-27 - Tushar Agey <agey.tushar3@gmail.com>
node-duplexer3 (0.1.4-1) experimental; urgency=low
* Initial release (Closes: #852778)

See Also

Package Description
node-duplexer_0.1.1-1_all.deb Creates a duplex stream
node-duplexify_3.6.1-1_all.deb Turn a writable and readable stream into a streams2 duplex stream
node-ebnf-parser_0.1.10+dfsg-3build2_all.deb parser for BNF and EBNF grammars used by jison
node-ecc-jsbn_0.1.1-1_all.deb ECC JS code based on JSBN
node-editor_1.0.0-1_all.deb Launch $EDITOR in your program
node-ejs_2.5.7-1_all.deb Embedded JavaScript templates
node-electron-to-chromium_1.3.103-1_all.deb Provides a list of electron-to-chromium version mappings
node-elliptic_6.4.1~dfsg-1_all.deb fast elliptic curve cryptography in pure javascript
node-emoji_1.8.1-1_all.deb simple emoji support for node.js
node-emojis-list_2.1.0-1_all.deb complete list of standard emojis
node-encodeurl_1.0.1-1_all.deb Encode URL to a percent-encoded form
node-encoding_0.1.12-2_all.deb Convert encodings, uses iconv by default and fallbacks to iconv-lite if needed
node-end-of-stream_1.4.1-1_all.deb Invoke a callback when a stream has completed or failed
node-enhanced-resolve_3.4.1-1_all.deb Offers a async require.resolve function
node-entities_1.1.1-1ubuntu1_all.deb Encode and decode XML/HTML entities with ease
Advertisement
Advertisement